FUNCTION IsFlopOk
*& Checks whether floppy is ready by issuing verify
* sector(s) BIOS call
* Author: Ramon H. Venegas, used in <169>Sneaker-net<170>
* applications!
* REFERENCE:<BI>DOS Programmer's Reference<B> by T.R.
* Dettmann, Que Corp. 1989, pages 456 and 459.
* NOTE: Uses Int 13h, function 04H. (BIOS services)

PARAMETERS FlopLet  && - letter of floppy to check
PRIVATE FlopNum, AXReg, BXReg, CXReg
FlopLet=UPPER(FlopLet)
IF .NOT. FlopLet$'AB'
  RETURN .T.        && only A,B floppies might
ENDIF               && work with hard drives
FlopNum=IIF(FlopLet='A','00','01')&& Hex number of
                    && the floppy
AXReg=HTOI('0401')  && func. AH=04h, verify 1 sector
BXReg=0             && BX register not used
CXReg=HTOI('0101')  && track 01, sector 01
DXReg=HTOI('00'+FlopNum)&& Head 0, drive No. FlopNum
* --- issue DOS Int
DOSINT HTOI('13), AXReg, BXReg, CXREg,DXReg
IF BITSET(AXReg,15) && check last bit (in AH). If
  RETU .F.          && set, then floppy not ready
ENDIF
RETURN .T.
